<div class='reset__container'>

  <div>
    <h2 i18n>Reset Password</h2>
  </div>

  <form class='reset__form' [formGroup]='resetGroup' (ngSubmit)='onSubmit()'>

    <mat-form-field class='reset__full-width' appearance='fill'>
      <mat-label i18n>Email</mat-label>
      <input type='email' matInput placeholder='Enter your Email' formControlName='email' required>
    </mat-form-field>

    <mat-form-field class='reset__full-width' appearance='fill'>
      <mat-label i18n>New password</mat-label>
      <input type='password' matInput placeholder='Enter new password' formControlName='newPassword' required>
    </mat-form-field>

    <mat-form-field class='reset__full-width' appearance='fill'>
      <mat-label i18n>Confirm password</mat-label>
      <input type='password' matInput placeholder='Confirm password' formControlName='confirmPassword' required>
    </mat-form-field>

    <button
      type='submit'
      mat-raised-button
      class='reset__btn'
      color='primary'
      [disabled]='!resetGroup.valid' i18n>
      Change password</button>
  </form>

</div>
